Subject: Re: Perl - trying to install libwin32
From: Charles Owens <[email-masked]>
To: [email-masked]
Date: Tue, 21 Oct 2003 22:01:13 -0400

Igor,

Here's what's getting produced by make:

gcc -shared -o File.dll -Wl,--out-implib=libFile.dll.a 
-Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--stack,8388608 
-L/usr/local/lib -L/usr/local/lib -L/usr/lib/w32api 
-I/usr/include/w32api -s File.o 
/usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/libperl.dll.a -lkernel32

I've also tried (by hand):

gcc -shared -o File.dll -Wl,--out-implib=libFile.dll.a 
-Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--stack,8388608 -s 
File.o /usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/libperl.dll.a 
-L/usr/local/lib -L/usr/local/lib -L/usr/lib/w32api -lkernel32 
-I/usr/include/w32api

Any thoughts?

Thanks,
Charles

Igor Pechtchanski wrote:

>Charles,
>
>Linkers like forward references, and don't understand back references.
>The libraries should go to the very end of the line, after the object
>files (and I believe the *FLAGS vars usually get put right after the
>executable).  You might need to use some other variable for this.
>
>If the libraries are at the end of the gcc invocation, please post the
>exact gcc command you get when compiling.
>	Igor
>
>On Fri, 17 Oct 2003, Charles Owens wrote:
>
>  
>
>>Okay... (just now getting back to this).
>>
>>Thanks for the pointer... but it must be something else.
>>
>>Since the build is failing in APIFile I've added this to APIFile/Makefile
>>
>>   LDDLFLAGS = -L/usr/lib/w32api -lkernel32 -I/usr/include/w32api
>>
>>When I run 'make' I do see that the gcc line in question now has these
>>options... but the link fails in the same way as before. (lots of
>>unresolved reverences, eg. "...File.c: undefined reference to
>>'_CloseHandle'")
>>
>>Any thoughts on what my next step should be?
>>
>>Thanks much,
>>
>>Charles
>>
>>
>>Gerrit P. Haase wrote:
>>
>>    
>>
>>>>I'm also seeing the same problem as Paul when trying to compile
>>>>libwin32-0.191 (patched) on cygwin.  This is with both gcc 3.3.1 and gcc
>>>>3.2 20020927 (prerelease) .
>>>>
>>>>Any suggestions?  Here's what "make" is giving me (with gcc 3.2):
>>>>        
>>>>
>>>Try adding libkernel32.a (-L/usr/lib/w32api -lkernel32) to the linkline?
>>>
>>>Gerrit
>>>      
>>>
>
>  
>

-- 
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
  Charles N. Owens                              [email-masked]
                                    http://www.enc.edu/~charles.n.owens
  Senior Technology Officer
  Information Technology Services              Eastern Nazarene College
/////////////////////////////////////////////////////////////////////////

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/